package com.muyu.domain.req;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 故障规则制定请求对象
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.domain.req
 * @Project：cloud-server-8
 * @name：FaultConditionAddReq
 * @Date：2024/9/21 21:02
 */
@Tag(name = "故障规则制定请求对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FaultConditionAddReq {
    /**
     * 故障规则表Id
     */
    private long carconditionId;
    /**
     * 车辆类型Id
     */
    private long carTypeId;
   /**
     *故障名称Id
     */
    private long messageTypeId;
    /**
     * 故障条件
     */
    private String faultconditionIdentification;
    /**
     * 故障规则参数
     */
    private BigDecimal faultconditionParameter;

}
