package com.muyu.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆-围栏组列表响应对象
 * @Author：yang
 * @Package：com.muyu.domain.resq
 * @Project：cloud-server-8
 * @name：CarFenceGroupsResq
 * @Date：2024/9/25 21:08
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "车辆-围栏组列表")
public class CarFenceGroupsResp {

    /**
     * 围栏组ID
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;
    /**
     * 优先级
     */
    private Integer priority;
    /**
     * 启动状态
     */
    private String status;
    /**
     * 围栏组类型
     */
    private String groupType;
    /**
     * 车辆唯一VIN
     */
//    @TableName(value = "car_information_VIN")
    private String carInformationLicensePlate;
    /**
     * 围栏经纬度
     */
    private String fenceText;
}
