package com.muyu.server.controller;
import com.muyu.common.core.domain.Result;
import com.muyu.server.service.FaultTypeService;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
/**
 * 故障码分类控制层
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.controller
 * @Project：cloud-server-8
 * @name：FaultTypeController
 * @Date：2024/9/18 20:58
 */



@RestController
@RequestMapping("/faulttype")
public class FaultTypeController {

    @Autowired
    private FaultTypeService faultTypeService;


    /**
     * 故障码分类查询
     * @return
     */
    @PostMapping("/list")
    @Operation(summary = "故障码分类查询",description = "故障码分类信息")
    public Result findfaulttype(){
        return Result.success(faultTypeService.select());
    }
}
